ccc	this is a simple example program illustrating
ccc	SSS Fortran disk i/o. the program reads its
ccc	source file, (sample2.for), and lists it to
ccc	the console. NOTE: TO RUN THIS PROGRAM WITH THE
ccc	SUPPLIED .bat FILES, YOU SHOULD REMOVE THE
ccc	+iodpub FROM THE link STATEMENT. this allows
ccc	the Fortran disk i/o system to be linked with
ccc	the program. (this results in slightly larger
ccc	EXE files for programs using disk i/o, which is
ccc	why the +iodpub was inserted in the first place.
ccc	see Fortran user's manual for more info.
ccc
ccc	after the first file, (sample2.for), is listed the
ccc	program prompts the console for another file name,
ccc	of a file to list.

ccc	declare a variable length character string, with maximum
ccc	length of 128 characters, and a character string initialized
ccc	to the first file name.

	character*128 string
	character*20 file
	data file/"sample2.for"/

ccc	open an ascii file for sequential read access on default drive
ccc	to be referenced as unit 10.
ccc	if error is found during open trap to statement number 1000.

3	if(ioread(10,2,0,file))goto 1000

5	read(10,100,endfile=2000,errexit=1000)string
100	format(a0)


	write(1,200)string
200	format(' ',a0)
	goto 5

1000	write(1,200)"OPEN OR READ ERROR ON FILE."
	stop

ccc	close file and ask for another file name

2000	i=ioclos(10)
	write(1,300)"another file? (enter to quit):"
300	format(' ',a0$)

	read(1,100)file
	if(file .ne. "")goto 3

	stop
	end
cc	this is a simple example program illustrating
ccc	SSS Fortran disk i/o. the program reads its
ccc	source file, (sample2.fo